Last Comment Bug 524125 - Provide makefile target for bloat tests and don't hard-code path to symbols
: Provide makefile target for bloat tests and don't hard-code path to symbols
Status: VERIFIED FIXED
: fixed-seamonkey2.0.3
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 3.1a1
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on: 721357
Blocks: 523773 523330
  Show dependency treegraph
 
Reported: 2009-10-23 08:41 PDT by Mark Banner (:standard8)
Modified: 2012-01-27 02:33 PST (History)
3 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.1-fixed


Attachments
[checked in] Band-aid runtest.py (689 bytes, patch)
2009-10-23 11:12 PDT, Mark Banner (:standard8)
gozer: review+
standard8: approval‑thunderbird3.0.1+
Details | Diff | Splinter Review
[checked in] Add mailbloat target (9.86 KB, patch)
2009-11-08 13:29 PST, Mark Banner (:standard8)
gozer: review+
standard8: approval‑thunderbird3.0.1+
Details | Diff | Splinter Review
buildbot changes (6.95 KB, patch)
2009-11-08 13:35 PST, Mark Banner (:standard8)
no flags Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2009-10-23 08:41:01 PDT
Bug 523330 removed automation.SYMBOLS_PATH and in the process killed our bloat tests.

Reading the comments on that bug, I guess the best way to deal with this would be to create our own makefile target the bloat test.

I think my short term fix would be to disable symbols or maybe hard-code (as it is only really tinderboxes going to be using it), and then the longer term fix would be to actually create the makefile target.
Comment 1 Ted Mielczarek [:ted.mielczarek] 2009-10-23 08:59:27 PDT
Sorry, I didn't know you had any independent scripts using automation.py. A makefile target will probably make things easier in the long run, since you can easily change things without having to change build automation. (Of course, with our packaged tests, we're right back where we started.)
Comment 2 Mark Banner (:standard8) 2009-10-23 11:12:53 PDT
Created attachment 408060 [details] [diff] [review]
[checked in] Band-aid runtest.py

This literally hard-codes the path (thankfully bug 522115 comment 14 told me what this was) until we can get some time to do a better fix.
Comment 3 Mark Banner (:standard8) 2009-10-23 11:15:11 PDT
(In reply to comment #2)
> This literally hard-codes the path (thankfully bug 522115 comment 14 told me
> what this was) until we can get some time to do a better fix.

(this is a trunk-only fix)

(In reply to comment #1)
> Sorry, I didn't know you had any independent scripts using automation.py.

Yep, bloat uses it and our mozmill tests use it. iirc neither use all the functionality, but they both use bits of it in some way.
Comment 4 Philippe M. Chiasson (:gozer) 2009-10-23 11:36:58 PDT
Comment on attachment 408060 [details] [diff] [review]
[checked in] Band-aid runtest.py

Works for me, let's make sure to remove it once bug 524125 is taken care of.
Comment 5 Mark Banner (:standard8) 2009-10-23 13:45:37 PDT
Comment on attachment 408060 [details] [diff] [review]
[checked in] Band-aid runtest.py

Checked in: http://hg.mozilla.org/comm-central/rev/47a01c703072
Comment 6 Mark Banner (:standard8) 2009-10-23 13:47:20 PDT
Morphing bug into the next step.
Comment 7 Mark Banner (:standard8) 2009-11-08 13:29:54 PST
Created attachment 411088 [details] [diff] [review]
[checked in] Add mailbloat target

This reworks the existing way to run the bloat tests to provide a "make mailbloat" target from the top of the objdir.

This seems to work fine on Mac, and also adds some tidy up to remove the files installed into chrome at the end of the test (really it should be an extension or something, but I'm still half hoping to replace this with mozmill at some stage).
Comment 8 Mark Banner (:standard8) 2009-11-08 13:35:38 PST
Created attachment 411089 [details] [diff] [review]
buildbot changes

The buildbot changes. This swaps buildbot to "make mailbloat". I've also pulled across some of the settings from the core buildbotcustom leak test, including the upload/download of logs and aligning some of the warnOnFailure/haltOnFailure settings.

This obviously could do with some testing especially as I've assumed what will work in some places.
Comment 9 Philippe M. Chiasson (:gozer) 2009-11-09 13:47:06 PST
(In reply to comment #8)
> Created an attachment (id=411089) [details]
> buildbot changes
> 
> The buildbot changes. This swaps buildbot to "make mailbloat". I've also pulled
> across some of the settings from the core buildbotcustom leak test, including
> the upload/download of logs and aligning some of the
> warnOnFailure/haltOnFailure settings.

Yes, looks like a good idea in general, I'll try and test this patch in staging shortly. I'd love to switch over to CC*Factories for bloat stuff, but last time I tried, there were still quite a few borked things. This is a step in the right direction.

> This obviously could do with some testing especially as I've assumed what will
> work in some places.

I'll report back on the results from staging
Comment 10 Philippe M. Chiasson (:gozer) 2009-11-11 12:18:38 PST
Comment on attachment 411089 [details] [diff] [review]
buildbot changes

patch applied in staging and encountered 2 issues.

had to s/self.env/env/g, easy fix

the various STAGE_* settings are not visible in mozillaleak.py, and should be passed in via the branch object argument. Unfortunately, these settings are now set in most branches, and rely on branch.get('STAGE_*', STAGE_*) type of logic.

That's wrong logic, anyhow, these should be determined upfront and stashed in the branch configuration. I'll get that fixed.
Comment 11 Mark Banner (:standard8) 2009-11-19 05:31:05 PST
Assigning to gozer as he needs to do the buildbot work.
Comment 12 Mark Banner (:standard8) 2009-12-22 11:35:11 PST
Comment on attachment 408060 [details] [diff] [review]
[checked in] Band-aid runtest.py

I'm going to be landing this on the 1.9.1 branch as it is test-only code, and something we need to support buildbot better. a=Standard8
Comment 14 Mark Banner (:standard8) 2009-12-22 15:52:19 PST
Update:

make mailbloat seems to be working fine on all platform.

Builders suffering from not being able to upload the logs, and hence can't download them either. Note that the two upload failures are slightly different.
Comment 15 Philippe M. Chiasson (:gozer) 2009-12-23 10:48:01 PST
Issues with staging server name and path names, now corrected, working perfectly.
Comment 16 Mark Banner (:standard8) 2009-12-24 03:13:44 PST
Comment on attachment 411089 [details] [diff] [review]
buildbot changes

Clearing now obsolete review request.
Comment 17 Mark Banner (:standard8) 2009-12-24 04:44:35 PST
Marking as fixed-1.9.1, although this change was test code only.
Comment 18 Mark Banner (:standard8) 2010-01-17 06:24:54 PST
Verifying as fixed as the bloat boxes are running nicely with this test-only change.

Note You need to log in before you can comment on or make changes to this bug.